//COLORS

$bordeaux:#ce0053;
$grey-dark:#343a40;
$grey:#6c747d;
$pink:#e83e8c;
$danger:#dc3545;
$primary: #ce0053;

//FONTS

$font-family-base:"Ubuntu";

@font-face{
    font-family: "NumitoSans-Regular";
    src: url(fonts/NunitoSans-Regular.ttf);
}
@font-face{
    font-family: "NumitoSans-Bold";
    src: url(fonts/NunitoSans-Bold.ttf);
}
@font-face{
    font-family: "NumitoSans-Light";
    src: url(fonts/NunitoSans-Light.ttf);
}

//NAVBAR & BORDER

$navbar-light-color: #ce0053;
$navbar-light-toggler-border-color: #ce0053;
$border-width: 2px !default;

//STANDARDS
$delay: 0.1s ease-in;
$long_anim_delay: 0.8s ease-in-out;

//CAROUSEL

$carousel-control-color: #ce0053;
$carousel-control-width: 5% !default;
$carousel-control-opacity: .7 !default;
$carousel-control-icon-width: 40px !default;

//CARDS

$card-border-color:                 none;
$card-bg:                           none;

//IMPORTS

@import "../bootstrap/scss/bootstrap.scss";
@import "homepage.scss";
@import "contact.scss";
@import "articles.scss";
@import "faq.scss";

//SCSS

body{
    font-family: Ubuntu, sans-serif;
    overflow-x: hidden;

    h1{
        font-family: "NumitoSans-Bold";
        font-size: 46px;
        color: $bordeaux;
        font-weight: bold;
    }
    h2{
        font-size: 28px;
        font-family: "NumitoSans-Bold";
        font-weight: bold;
    }
    h3{
        font-size: 24px;
        color: $bordeaux;
        font-family: "NumitoSans-Bold";
    }
    h4{
        font-size: 14px;
    }
    .section_divider{
        width:40vw;
        height: 2px;
        background: $bordeaux;
        margin: 0 auto;
    }
    #article .btn, #article_2 .btn{
        transition: $delay;
    }
    #article .btn:hover, #article_2 .btn:hover{
        background-color: #fff;
        color: $bordeaux;
        transition: $delay;
    }

    //NAV
    .navbar-brand{
        animation: heartBeat $long_anim_delay;
    }
    #nav_link_1{
        animation: fadeIn 1.5s ease-in;
    }
    #nav_link_2{
        animation: fadeIn 2.5s ease-in;
    }
    #nav_link_3{
        animation: fadeIn 3s ease-in;
    }

    //TESTIMONIES CAROUSEL

    #carousel_controls{
        margin-bottom: 100px;
        background: linear-gradient(0deg, rgba(0,0,0,0) 0%, rgba(108,116,125,0.5) 100%);
        animation: fadeIn 1s ease-in;

        .badge_layout{
            height: 400px!important;

            .badge{
                position: absolute;
                bottom: 20px;
                left: 100px;
                text-align: left;
    
                .avatar{
                    height: 80pt;
                    width: 80pt;
                    clip-path: circle(50%);
                }
            }
        }
        #badge_layout_small{
            height: 300px;

            .badge{
                position: absolute;
                bottom: 45px;
                left: 100px;
    
                .avatar{
                    height: 80pt;
                    width: 80pt;
                    clip-path: circle(50%);
                }
            }
        }
        .testimony{
            height: 400px;
            padding-left: 200px;
            padding-right: 150px;

            .red_quot{
            font-size: 96px;
            color: $bordeaux;
            }
            .testimony_text{
                padding-left: 80px!important;
                text-align: justify;
                font-style: italic;
            }

        }
        #testimony_small{
            height: 300px;
            padding-left: 200px;
            padding-right: 150px;

            .red_quot{
            font-size: 96px;
            color: $bordeaux;
            }
            .testimony_text{
                margin-bottom: 0!important;
                padding-left: 80px!important;
                text-align: justify;
                font-style: italic;
            }

        }
    }

    //BACKGROUND

    #main_content{
        background-image: url(../images/svg/background.svg);
        background-attachment: fixed;
        z-index: 1;

        #overlay{
            background-image: linear-gradient(
                to bottom,
                rgba(255, 255, 255, 0.7) 0%,
                #fff 30%,);

            background-attachment: fixed;
            z-index: 1;

            #figures{
                padding-top: 200px;
            }
        }
    }

    //SLOGAN

    #slogan{
        border-radius: 50%;
        background: radial-gradient(circle, rgba(220, 220, 220, 0.5) 0%, rgba(220, 220, 220, 0) 80%);
        margin-top: 100px;
        margin-bottom: 100px;
    }

    //NEWSLETTER

    #social_footer{
        height: 126px;
        background-color: $grey;
        box-shadow: 0px -8px 8px -2px $grey-dark;
        
        #homepage_form{
            h2{
                color: #343a40;
            }
            button{
                transition: $delay;
                &{
                    transition: $delay;
                }
                &:hover{
                    background-color: #fff;
                    transition: $delay;

                    path{
                        fill: $bordeaux;
                        transition: $delay;
                    }
                }
            }
        }
        
    }

    //SOCIAL LOGOS

    #social_logos{
        a {
            &{
                transition: $delay;
            }
            &:hover {
                path {
                    fill: $bordeaux;
                    transition: $delay;
                }
            }
        }
    }

    //OTHER LINKS

    #other_links{
        height: 126px;
        background-color: $grey-dark;

        a{
            color: white;
            text-decoration: underline;
            transition: $delay;

            &:hover{
                color: $bordeaux!important;
                transition: $delay;
            }
        }
        #links_nav{
            padding-top: 5px!important;
            margin-bottom: 0px!important;

            a{
                padding-top: 24px!important;
            }
        }
    }
}

//MEDIA
@media(max-width: 992px){
    #homepage_nav{
        height: 400px!important;

        .nav-link{
            padding-left: 0!important;
        }
        //TOGGLER ICON TO CHANGE
    }
    #carousel_controls{
        .badge_layout{
            margin-top: -250px;

            .badge{
                left: 8px!important;

                .profile{
                    margin-left: 5px!important;
                }
                h3{
                    font-size: 16px!important;
                    text-align: left;
                }
                .avatar{
                    height: 60pt!important;
                    width: 60pt!important;
                }
            }
        }
        .badge_layout_small{
            margin-top: -100px;

            .badge{
                left: 70px!important;

                .profile{
                    margin-left: 10px!important;
                }
                h3{
                    font-size: 16px!important;
                    text-align: left;
                }
                .avatar{
                    height: 60pt!important;
                    width: 60pt!important;
                }
            }
        }
        .testimony{
            padding-left: 0px!important;
            padding-right: 80px!important;
    
            .testimony_text{
                padding-left: 0px!important;
                text-align: justify;
                font-style: italic;
            }
            .red_quot{
                padding-left: 0px;
            }
        }
        #testimony_small{
            padding-left: 80px!important;
            padding-right: 80px!important;
    
            .testimony_text{
                margin-left: 200px!important;
                text-align: justify;
                font-style: italic;
            }
            .testimony_small{
                padding-left: 80px;
            }
            .red_quot{
                padding-left: 80px;
            }
        }
    }
    
    
}

@media(max-width: 768px){
    #social_footer{
        height: 250px!important;

        #social_logos{
            margin: 24px auto auto auto;
        }
    }
    #other_links{
        height: 250px!important;
        text-align: center;
    }
    .testimony{
        padding-left: 30px!important;
        padding-right: 30px!important;

        .testimony_text{
            padding-left: 0px!important;
            text-align: justify;
            font-style: italic;
        }
    }
    .testimony_small{
        padding-left: 0px!important;
        text-align: justify;
    }
    .carousel_homepage{
        padding-top: 0px!important;
    }

}
